<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="AKUZ" 
Name="ARM_OPEN_LOG" 
Description="Логирование открытия АРМ" 
PrimaryKey="ArmOpenLogID">
  <Fields>
    <Attribute Name="ArmOpenLogID" Type="guid" Description="Идентификатор" />
    <Parent Name="UserArmActivityLog" Type="AKUZ.USER_ARM_ACTIVITY_LOG" Description="Логирование использования" Required="1" />
    <Attribute Name="LastOpenTime" Type="datetime" Description="Последнее время открытия АРМ" Required="1" />
    <Choice Name="ClientType" Description="Тип клиента" Required="1">
      <Item Name="Web-клиент" Index="0" />
      <Item Name="WinForm-клиент" Index="1" />
    </Choice>
    <Attribute Name="ArmName" Type="string" Description="Наименование АРМ" Required="1" />
    <Attribute Name="OpenARMCount" Type="int" Description="Количество открытий АРМ" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_ARM_OPEN_LOG">
      <Map Name="ArmOpenLogID" Column="ArmOpenLogID" />
      <Map Name="UserArmActivityLog" Column="UserArmActivityLog" />
      <Map Name="LastOpenTime" Column="LastOpenTime" />
      <Map Name="ClientType" Column="ClientType" />
      <Map Name="ArmName" Column="ArmName" />
      <Map Name="OpenARMCount" Column="OpenARMCount" />
    </Table>
  </DbMapping>
</Entity>